Bug 19407 - aliases in .bashrc are very annoying
Summary: aliases in .bashrc are very annoying
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rootfiles (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-19 21:58 UTC by Trond Eivind Glomsrxd
Modified: 2014-03-17 02:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-27 06:01:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trond Eivind Glomsrxd 2000-10-19 21:58:16 UTC
I think the "-i" alias in /root/.bashrc are highly annoying (and to make it
worse, cp now ignores "-f" if used with "-i"), and causes the "massive y
syndrom" (pressing y all the time without reading).

I would love for this alias to go away.

Comment 1 Ignacio Vazquez-Abrams 2000-10-19 23:03:53 UTC
...

I fail to see what the problem is with just editing it out after the fact. It is
annoying, but it is a useful security feature for newbies (which we DON'T want
to scare away, believe it or not). Anyway, just my two cents.

Comment 2 Daniel Roesen 2000-10-20 11:01:23 UTC
I also think they should simply "go away". People not thinking before typing 
must learn - perhaps the hard way. The "y-Syndrome" is a very good point.

Comment 3 Nick Urbanik 2001-01-27 06:01:03 UTC
Simple workaround: /bin/cp instead of cp
Quote from "Unix System Administration Handbook", Nemeth, Snyder, Seebass and
Hein, 2001, page 87:

However, don't confuse users by "protecting" them from UNIX; entries such as

alias dir ls -l
alias rm rm -i
alias cp cp -i

are in poor taste.

Comment 4 Bill Nottingham 2001-01-30 21:06:50 UTC
After internal discussion, it was decided to leave them as-is.


Note You need to log in before you can comment on or make changes to this bug.